<?php

use Tygh\Registry;

if ( !defined('AREA') ) { die('Access denied'); }

if ($mode == 'contact')
{
	if (!empty($_REQUEST['ticket']))
	{
		if (Registry::get('settings.Image_verification.use_for_re_desk') != 'Y' || fn_image_verification('use_for_re_desk', $_REQUEST))
		{
			$ticket = $_REQUEST['ticket'];
			list(, $result) = fn_redesk_create_ticket($ticket);

			return array(CONTROLLER_STATUS_OK, "redesk_connection.contact?result=1");
		}
	}

	if (!empty($_REQUEST['order_id']))
	{
		$order_user_id = db_get_field('SELECT user_id FROM ?:orders WHERE order_id = ?i', $_REQUEST['order_id']);

		if (
			(empty($auth['user_id']) && !empty($_REQUEST['order_ids']) && in_array($_REQUEST['order_id'], $_REQUEST['order_ids']))
			||
			($auth['user_id'] == $order_user_id)
		)
		{
			$order_info = fn_get_order_info($_REQUEST['order_id']);
			Registry::get('view')->assign('order_info', $order_info);
		}
	}

	fn_add_breadcrumb(fn_get_lang_var('re_desk_contact_us'));
	Registry::get('view')->assign('departments', fn_redesk_connection_get_departments());
}